%define module	gd
%define name	python-%{module}

Name:		%{name}
Group:		Development/Python
License:	BSD
Summary:	Python GD module
Version:	0.56
Release:	%mkrel 3
Source:		http://newcenturycomputers.net/projects/download.cgi/gdmodule-%{version}.tar.gz
URL:		http://newcenturycomputers.net/projects/gdmodule.html

BuildRequires:	freetype2-devel
BuildRequires:	libgd-devel >= 2.0.23
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libx11-devel
BuildRequires:	libxpm-devel
BuildRequires:	python-devel
BuildRequires:	zlib-devel
Requires:	gd >= 2.0.23
Requires:	python

%description
This module is a python wrapper for the GD library. Due to the constant
change in the GD library API, there are several older versions of this
module available.

%prep
%setup -q -n gdmodule-%{version}
perl -pi -e 's|"/usr/local/lib"|"%{_libdir}"|;' Setup.py

%build

%install
PYTHONDONTWRITEBYTECODE= \
%__python Setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%doc README




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.56-3.mga3
+ Revision: 378872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 08 2012 luigiwalser <luigiwalser> 0.56-2.mga2
+ Revision: 193021
- remove arch-conditional code in spec file
- import python-gd
- clean spec
- imported package python-gd

